<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

	<head>
		<title>My Website</title>
		<link rel="stylesheet" th:href="@{/css/style.css}" />
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link rel="stylesheet" href="/css/main.css">
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css">
		<script src="/js/jquery-3.7.1.min.js"></script>
	</head>

	<body>
		<header>
			<div class="navbar-wrapper">
				<!-- Navbar -->
				<nav class="navbar navbar-expand-lg">
					<div class="container-fluid">
						<p class="heading">Mobile Store</p>
					</div>
				</nav>
				<!-- Navbar -->
			</div>
		</header>

		<th:block layout:fragment="content">
			<div class="container mt-5">
				<div class="row">
					<div class="col-md-4 m-auto">

						<div th:if="${param.error}">
							<div class="alert alert-danger">Invalid username and password</div>
						</div>
						<div th:if="${param.logout}">
							<div class="alert alert-success">You have been logged out</div>
						</div>

						<div class="card border-2">
							<div class="card-header border-2">
								<h5 class="mb-1">Please sign in</h5>
							</div>

							<div class="card-body">
								<form id="loginForm" method="post" action="/login" class="form-horizontal form">
									<div id="UserNameInput" class="form-group mb-3">
										<input required autofocus type="text" name="username" class="form-control border-2"
											   placeholder="User Name" />
									</div>

									<div id="PassWordInput" class="form-group mb-3">
										<input required type="password" name="password" class="form-control border-2"
											   placeholder="Password" id="password" />
									</div>

									<button id="btnSubmit" class="btn col-12 text-white p-2">Login</button>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</th:block>
	</body>
	<script src="/js/bootstrap.min.js"></script>
</html>